osgUtil::PerlinNoise Class Reference

`#include <PerlinNoise>`

## Public Member Functions

| PerlinNoise ()
void | SetNoiseFrequency (int frequency)
double | noise1 (double arg)
double | noise2 (double vec[2])
double | noise3 (double vec[3])
void | normalize2 (double vec[2])
void | normalize3 (double vec[3])
double | PerlinNoise1D (double x, double alpha, double beta, int n)
double | PerlinNoise2D (double x, double y, double alpha, double beta, int n)
double | PerlinNoise3D (double x, double y, double z, double alpha, double beta, int n)
osg::Image * | create3DNoiseImage (int texSize)
osg::Texture3D * | create3DNoiseTexture (int texSize)

## Protected Types

enum | { MAXB = 0x100 }

## Protected Member Functions

void | initNoise (void)

## Protected Attributes

int | p [MAXB+MAXB+2]
double | g3 [MAXB+MAXB+2][3]
double | g2 [MAXB+MAXB+2][2]
double | g1 [MAXB+MAXB+2]
int | start
int | B
int | BM

## Member Enumeration Documentation

## anonymous enum

anonymous enum

protected

Enumerator
MAXB |

## Constructor & Destructor Documentation

## PerlinNoise()

osgUtil::PerlinNoise::PerlinNoise | ( |  | ) |

## Member Function Documentation

## create3DNoiseImage()

osg::Image * osgUtil::PerlinNoise::create3DNoiseImage | ( | int | texSize | ) |

Referenced by osgUtil::create3DNoiseImage().

## create3DNoiseTexture()

osg::Texture3D * osgUtil::PerlinNoise::create3DNoiseTexture | ( | int | texSize | ) |

Referenced by osgUtil::create3DNoiseTexture().

## initNoise()

void osgUtil::PerlinNoise::initNoise | ( | void |  | ) |

protected

## noise1()

double osgUtil::PerlinNoise::noise1 | ( | double | arg | ) |

## noise2()

double osgUtil::PerlinNoise::noise2 | ( | double | vec[2] | ) |

## noise3()

double osgUtil::PerlinNoise::noise3 | ( | double | vec[3] | ) |

## normalize2()

void osgUtil::PerlinNoise::normalize2 | ( | double | vec[2] | ) |

## normalize3()

void osgUtil::PerlinNoise::normalize3 | ( | double | vec[3] | ) |

## PerlinNoise1D()

double osgUtil::PerlinNoise::PerlinNoise1D | ( | double | x,
|  | double | alpha,
|  | double | beta,
|  | int | n )

## PerlinNoise2D()

double osgUtil::PerlinNoise::PerlinNoise2D | ( | double | x,
|  | double | y,
|  | double | alpha,
|  | double | beta,
|  | int | n )

## PerlinNoise3D()

double osgUtil::PerlinNoise::PerlinNoise3D | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | alpha,
|  | double | beta,
|  | int | n )

## SetNoiseFrequency()

void osgUtil::PerlinNoise::SetNoiseFrequency | ( | int | frequency | ) |

## Member Data Documentation

## B

int osgUtil::PerlinNoise::B

protected

## BM

int osgUtil::PerlinNoise::BM

protected

## g1

double osgUtil::PerlinNoise::g1[MAXB+MAXB+2]

protected

## g2

double osgUtil::PerlinNoise::g2[MAXB+MAXB+2][2]

protected

## g3

double osgUtil::PerlinNoise::g3[MAXB+MAXB+2][3]

protected

## p

int osgUtil::PerlinNoise::p[MAXB+MAXB+2]

protected

## start

int osgUtil::PerlinNoise::start

protected

The documentation for this class was generated from the following file:

- PerlinNoise